Phone & voice · Voice
Fetches a SIP trunk.
Request
Send your API key as Authorization: Bearer pz_live_.... Read-only keys can call it. Keys with the telephony resource group disabled get 403 resource_group_disabled. Authentication
Path parameters
| Name | Type | Notes |
|---|---|---|
idrequired | string |
Example
curl -X GET "https://api.pozy.ai/v1/phone-numbers/sip-trunks/6bfebd43ddc270f6d2c56fc5" \
-H "Authorization: Bearer $POZY_API_KEY"const res = await fetch("https://api.pozy.ai/v1/phone-numbers/sip-trunks/6bfebd43ddc270f6d2c56fc5", {
headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);import os
import requests
resp = requests.get(
"https://api.pozy.ai/v1/phone-numbers/sip-trunks/6bfebd43ddc270f6d2c56fc5",
headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
timeout=30,
)
resp.raise_for_status()
print(resp.json())Response
200 on success
idstringlabelstringsipHoststringsipPortintegertransportstringOne of
tls,tcp,udp.terminationobjecturistringusernamestring
numbersAttachedintegercreatedAtstring (date-time)Can be null.
numbersarray of objectidstringphoneNumberstring
200 response
{
"id": "6bfebd43ddc270f6d2c56fc5",
"label": "string",
"sipHost": "string",
"sipPort": 1,
"transport": "tls",
"termination": {
"uri": "string",
"username": "acme"
},
"numbersAttached": 1,
"createdAt": "2026-10-02T09:00:00.000Z",
"numbers": [
{
"id": "6bfebd43ddc270f6d2c56fc5",
"phoneNumber": "+14155550123"
}
]
}Errors
Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:
| 400 | invalid_request_error | A parameter or body field is missing or invalid. param names it. |
| 401 | authentication_error | The API key is missing, revoked or expired. |
| 403 | permission_error | The key is scoped to other profiles or has this resource group disabled. |
| 404 | not_found | Nothing with that id exists in your workspace. |
| 429 | rate_limit_error | Too many requests this minute. Wait for Retry-After seconds. |
Every code is listed in Errors.
More in Voice
GETList phone callsPOSTPlace an outbound phone callGETGet a phone callPOSTHang up a live callGETGet a call recordingPOSTBlind-transfer a live callGETEstimate call costPOSTMint a browser softphone sessionPOSTDial from the browser softphonePOSTEnable phone calling on a numberDELDisable phone calling on a numberGETList SIP trunksPOSTCreate a SIP trunkDELDelete a SIP trunkPOSTRotate a SIP trunk's passwordPOSTAttach a number to a SIP trunkDELDetach a number from its SIP trunk